
Packaging - Bug #18539

Katello RPM package leaves empty directories

02/16/2017 10:30 AM - Lukas Zapletal

Status: Ready For Testing   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: RPMs   

Target version:    

Difficulty: easy Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-p

ackaging/pull/9705

  

Description

When you upgrade the RPM, these directories are left:

opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.24

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.24/public

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.24/public/apipie-cache

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.24/public/apipie-cache/plugin

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.24/public/assets

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.47

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.47/public

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.47/public/apipie-cache

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.47/public/apipie-cache/plugin

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.47/public/assets

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.70

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.70/public

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.70/public/apipie-cache

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.70/public/apipie-cache/plugin

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.70/public/assets

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.73

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.73/public

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.73/public/apipie-cache

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.73/public/apipie-cache/plugin

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.73/public/assets

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.78

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.78/public

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.78/public/apipie-cache

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.78/public/apipie-cache/plugin

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.78/public/assets

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.80

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.80/public

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.80/public/apipie-cache

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.80/public/apipie-cache/plugin

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.80/public/assets

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.81

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.81/public

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.81/public/apipie-cache

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.81/public/apipie-cache/plugin

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.81/public/assets

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.82

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.82/public

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.82/public/apipie-cache

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.82/public/apipie-cache/plugin

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.82/public/assets

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.90

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.90/public

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.90/public/apipie-cache
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.90/public/apipie-cache/plugin

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.90/public/assets

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.94

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.94/public

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.94/public/apipie-cache

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.94/public/apipie-cache/plugin

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.94/public/assets

 I think we need to add these as %ghost files or something so they are removed properly.

Can't find packaging component, is this the correct project?

History

#1 - 02/22/2017 02:55 PM - Justin Sherrill

- Category set to Tooling

- translation missing: en.field_release set to 114

- Difficulty set to easy

#2 - 08/24/2023 02:35 PM - Ewoud Kohl van Wijngaarden

- Project changed from Katello to Packaging

- Category changed from Tooling to RPMs

- Target version deleted (Katello Backlog)

- Triaged set to No

Confirmed this is still an issue:

# dnf install rubygem-katello

# dnf remove rubygem-katello

# find /usr/share/gems/gems/katello-4.10.0.pre.master/public/

/usr/share/gems/gems/katello-4.10.0.pre.master/public/

/usr/share/gems/gems/katello-4.10.0.pre.master/public/assets

/usr/share/gems/gems/katello-4.10.0.pre.master/public/webpack

#3 - 08/24/2023 02:39 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-packaging/pull/9705 added
